[Overview][Procedures and functions][Index] | Reference for unit 'LCLMessageGlue' (#lcl)

# LCLSendSizeMsg

Delivers a LM_SIZE message to the target control.

## Declaration

Source position: lclmessageglue.pas line 41

`function LCLSendSizeMsg(`
`const Target: TControl;`
`Width: Word;`
`Height: Word;`
`SizeType: LongInt;`
`FromInterface: Boolean = True`
`):PtrInt;`

## Arguments

`Target` |  | Component, control, or class instance where the message is delivered.
`Width` |  | Contains the new width in pixels for the target.
`Height` |  | Contains the new height in pixels for the target.
`SizeType` |  | True if the message was sent from the widgetset to notify the LCL of a size change. False to make the widgetset change the size of the control. Default value is True.
`FromInterface` |  | Indicates whether the sizing message originated in the LCL interface. Default value is True.

## Function result

Pointer to the Integer result code for the message. 0 indicates the message was accepted. A non-zero value indicates the message was rejected.

## Description

The SizeType argument can contain values from the constants defined in the LCLType unit, like:

SIZE_RESTORED (0)
  This is the default value.
SIZE_MINIMIZED (1)
  The target was minimized.
SIZE_MAXIMIZED (2)
  The target was maximized.
SIZE_FULLSCREEN (16)
  Non-WINAPI value to support wsFullScreen state.
Size_SourceIsInterface (128)
  This flag is automatically added to the argument value when FromInterface is set to True.

Calls DeliverMessage to apply or dispatch the message to the target.